<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2022 Workiva-->
<!--r:b98fb055-0329-4b8b-a94d-662a0745ca1d,g:447958d3-cfbe-4e7b-9c0e-62924675b087-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.simpsonfg.com/role/DocumentandEntityInformation" xlink:type="simple" xlink:href="ssd-20220623.xsd#DocumentandEntityInformation"/>
  <link:presentationLink xlink:role="http://www.simpsonfg.com/role/DocumentandEntityInformation" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_CoverAbstract"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_WrittenCommunications_bc2c9596-8467-4847-9162-8894f586e83b" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_WrittenCommunications"/>
    <link:presentationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_WrittenCommunications_bc2c9596-8467-4847-9162-8894f586e83b" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_DocumentType_29c64701-09f7-4b59-9533-87e70c561c25" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_DocumentType"/>
    <link:presentationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_DocumentType_29c64701-09f7-4b59-9533-87e70c561c25" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_DocumentPeriodEndDate_cbdf8d44-d819-4ac2-923f-4216d97c72eb" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_DocumentPeriodEndDate"/>
    <link:presentationArc order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_DocumentPeriodEndDate_cbdf8d44-d819-4ac2-923f-4216d97c72eb" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityRegistrantName_64d447e8-ab99-48fa-928c-1ce493e0b322" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_EntityRegistrantName"/>
    <link:presentationArc order="4" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_EntityRegistrantName_64d447e8-ab99-48fa-928c-1ce493e0b322" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityIncorporationStateCountryCode_e4c2abe3-afa6-425e-8bc1-0eda6321227b" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_EntityIncorporationStateCountryCode"/>
    <link:presentationArc order="5" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_EntityIncorporationStateCountryCode_e4c2abe3-afa6-425e-8bc1-0eda6321227b" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityFileNumber_b4e102b6-cf20-43b1-a741-f265a6c7a7fa" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_EntityFileNumber"/>
    <link:presentationArc order="6" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_EntityFileNumber_b4e102b6-cf20-43b1-a741-f265a6c7a7fa" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityTaxIdentificationNumber_1922fe31-f699-4941-ae27-84e3075bae78" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_EntityTaxIdentificationNumber"/>
    <link:presentationArc order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_EntityTaxIdentificationNumber_1922fe31-f699-4941-ae27-84e3075bae78" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressAddressLine1_d0952510-9849-45b2-aa9f-6e4b3f062067" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_EntityAddressAddressLine1"/>
    <link:presentationArc order="8" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_EntityAddressAddressLine1_d0952510-9849-45b2-aa9f-6e4b3f062067" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressCityOrTown_63238458-0c36-48ff-9941-6d0571989295" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_EntityAddressCityOrTown"/>
    <link:presentationArc order="9" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_EntityAddressCityOrTown_63238458-0c36-48ff-9941-6d0571989295" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressStateOrProvince_8c91f7ce-0f2a-4851-86ef-e02541034a7e" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_EntityAddressStateOrProvince"/>
    <link:presentationArc order="10" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_EntityAddressStateOrProvince_8c91f7ce-0f2a-4851-86ef-e02541034a7e" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressPostalZipCode_183b2f17-b82d-432d-83e8-64430f3eebef" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_EntityAddressPostalZipCode"/>
    <link:presentationArc order="11" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_EntityAddressPostalZipCode_183b2f17-b82d-432d-83e8-64430f3eebef" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_CityAreaCode_da7a76e9-a5a8-4d24-9da9-b78ea00ba716" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_CityAreaCode"/>
    <link:presentationArc order="12" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_CityAreaCode_da7a76e9-a5a8-4d24-9da9-b78ea00ba716" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_LocalPhoneNumber_696d0c8a-e68c-4abe-879b-ef4cb6a1b9cb" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_LocalPhoneNumber"/>
    <link:presentationArc order="13" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_LocalPhoneNumber_696d0c8a-e68c-4abe-879b-ef4cb6a1b9cb" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_Security12bTitle_60383645-18be-4342-b32c-0293cd13c2dd" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_Security12bTitle"/>
    <link:presentationArc order="14" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_Security12bTitle_60383645-18be-4342-b32c-0293cd13c2dd" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_TradingSymbol_a70262f6-bf28-40bb-9c3c-71525a423f42" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_TradingSymbol"/>
    <link:presentationArc order="15" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_TradingSymbol_a70262f6-bf28-40bb-9c3c-71525a423f42" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_SecurityExchangeName_99367caa-d856-4f33-b42c-01dc29b93249" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_SecurityExchangeName"/>
    <link:presentationArc order="16" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_SecurityExchangeName_99367caa-d856-4f33-b42c-01dc29b93249" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityEmergingGrowthCompany_221cfc01-d9e1-41bd-96fa-467b5b4f8ccb" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_EntityEmergingGrowthCompany"/>
    <link:presentationArc order="17" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_EntityEmergingGrowthCompany_221cfc01-d9e1-41bd-96fa-467b5b4f8ccb" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_AmendmentFlag_43582a12-8984-40c1-9309-fa478bb2bd2d" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_AmendmentFlag"/>
    <link:presentationArc order="18" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_AmendmentFlag_43582a12-8984-40c1-9309-fa478bb2bd2d" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityCentralIndexKey_67242183-1b93-47aa-b212-8147c4930789" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_EntityCentralIndexKey"/>
    <link:presentationArc order="19" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_EntityCentralIndexKey_67242183-1b93-47aa-b212-8147c4930789" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_SolicitingMaterial_83e76d35-e4c2-4c1f-8f30-410337d2d2e2" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_SolicitingMaterial"/>
    <link:presentationArc order="20" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_SolicitingMaterial_83e76d35-e4c2-4c1f-8f30-410337d2d2e2" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_PreCommencementTenderOffer_7913cdf7-6f17-4393-b89c-230be71ea5aa" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_PreCommencementTenderOffer"/>
    <link:presentationArc order="21" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_PreCommencementTenderOffer_7913cdf7-6f17-4393-b89c-230be71ea5aa" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_PreCommencementIssuerTenderOffer_a9e0d231-6cea-44c0-9c67-de43d59e2348" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_PreCommencementIssuerTenderOffer"/>
    <link:presentationArc order="22" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_b764b779-dbb8-4bef-b799-b4fbb37bebb3" xlink:to="loc_dei_PreCommencementIssuerTenderOffer_a9e0d231-6cea-44c0-9c67-de43d59e2348" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
  </link:presentationLink>
</link:linkbase>
